Bug 640960 - Configuration->History page does not have button 'Rollback To Selected'
Configuration->History page does not have button 'Rollback To Selected'
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: config/individual-config
  Show dependency treegraph
 
Reported: 2010-10-07 07:25 EDT by Sunil Kondkar
Modified: 2011-05-23 21:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:07:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (114.91 KB, image/png)
2010-10-07 07:26 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2010-10-07 07:25:30 EDT
Description of problem:

'Configuration->History' sub tab does not have button 'Rollback To Selected' as it used to have in jon2.4. 

Also below are few observations on 'Configuration->History' page which are there in Jon2.4 but not observed in rhq build.

1. Section 'Current Configuration' displaying details like version, status etc.
2. If config update is failed, it is displayed with status 'Failure' which is now not displayed as a link (to view the stack trace of the failure)

Please refer the screenshot.

Version-Release number of selected component (if applicable):
rhq build#379

How reproducible:
Always

Steps to Reproduce:

1) Login to JON using appropriate credential

2) Click on 'Inventory' menu item.

3) Click on 'Resource Inventory->Platoforms'.

4) Click on a resource (Ex: RHQ Agent) in the resource tree.

5) Navigate to the 'Configuration->History' tab.
Comment 1 Sunil Kondkar 2010-10-07 07:26:19 EDT
Created attachment 452085 [details]
Screenshot
Comment 2 Ian Springer 2011-03-01 11:43:35 EST
Fixed - [master d27c97e]. The underlying cause was fault logic in ConfigurationEditor.isReadOnly().
Comment 3 Ian Springer 2011-03-01 12:44:13 EST
Disregard my previous comment - it was meant for a different BZ issue.

The History list view now has a Rollback button. Assigning to Mazz so he can make sure the other things Sunil pointed out are missing from the History list view get added.
Comment 4 John Mazzitelli 2011-03-01 13:00:47 EST
this was fixed as part of my revamp of the config/plugin config history pages.

you'll notice that plugin config history as well as resource config history now has the ability to rollback.
Comment 5 Sunil Kondkar 2011-03-18 04:37:42 EDT
Verified on build#1090 (Version: 4.0.0-SNAPSHOT Build Number: f19c23e)

The sub tab 'Configuration->History' displays 'Rollback' button with version, status etc. User is able to rollback to the selected past configuration.

Marking the bug as verified.
Comment 6 Corey Welton 2011-05-23 21:07:59 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.